## GeditViewActivatable GeditViewActivatable — Interface for activatable extensions on views |

## Synopsis

                        GeditViewActivatable;
    void                gedit_view_activatable_activate     (GeditViewActivatable *activatable);
    void                gedit_view_activatable_deactivate   (GeditViewActivatable *activatable);

## Object Hierarchy

      GInterface
       +----GeditViewActivatable

## Prerequisites

GeditViewActivatable requires GObject.

## Properties

      "view"                     GeditView*            : Read / Write / Construct Only

## Description

GeditViewActivatable is an interface which should be implemented by extensions that should be activated on a gedit view.

## Details

### GeditViewActivatable

    typedef struct _GeditViewActivatable GeditViewActivatable;

### gedit_view_activatable_activate ()

    void                gedit_view_activatable_activate     (GeditViewActivatable *activatable);

Activates the extension on the window property.

`activatable` : | A GeditViewActivatable.

### gedit_view_activatable_deactivate ()

    void                gedit_view_activatable_deactivate   (GeditViewActivatable *activatable);

Deactivates the extension on the window property.

`activatable` : | A GeditViewActivatable.

## Property Details

### The `"view"` property

      "view"                     GeditView*            : Read / Write / Construct Only

The window property contains the gedit window for this GeditViewActivatable instance.

## See Also

PeasExtensionSet